﻿using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class _Default : System.Web.UI.Page
{
    /// <summary>
    /// Page Load Event
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Page_Load(object sender, EventArgs e)
    {

        lblchkListMobile.Text = "";

        if (!Page.IsPostBack)
        {
            chkListMobile.Items.Add("Samsung Mobile");
            chkListMobile.Items.FindByText("Samsung Mobile").Selected = true;
            chkListMobile.Items.Add("LG Mobile");
            chkListMobile.Items.Add("HTC Mobile");
            chkListMobile.Items.FindByText("HTC Mobile").Enabled = false;
            chkListMobile.Items.Add("Dell Mobile");
            chkListMobile.Items.Add("Nokia Mobile");
        }
    }

    /// <summary>
    /// Toggle Selection
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnToggleSelection_Click(object sender, EventArgs e)
    {
        for (int chkIndex = 0; chkIndex < chkListMobile.Items.Count; chkIndex++)
        {
            if (chkListMobile.Items[chkIndex].Selected)
            {
                if (chkListMobile.Items[chkIndex].Enabled)
                    chkListMobile.Items[chkIndex].Selected = false;
            }
            else
            {
                if (chkListMobile.Items[chkIndex].Enabled)
                    chkListMobile.Items[chkIndex].Selected = true;
            }
        }

        lblchkListMobile.Text = "Checkbox Selections Toggled.";
    }

    /// <summary>
    /// Change the repeate direction
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnChangeLayout_Click(object sender, EventArgs e)
    {
        if (chkListMobile.RepeatDirection == RepeatDirection.Horizontal)
        {
            chkListMobile.RepeatDirection = RepeatDirection.Vertical;
        }
        else
        {
            chkListMobile.RepeatDirection = RepeatDirection.Horizontal;
        }
        lblchkListMobile.Text = "Layout Changed.";
    }

    /// <summary>
    /// Add Item in CheckBoxList
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnAddCheckBoxItem_Click(object sender, EventArgs e)
    {
        if (txtItem.Text.Trim() != "")
        {
            chkListMobile.Items.Add(txtItem.Text.Trim());
            lblchkListMobile.Text = "Item Added.";
        }
        else
        {
            lblchkListMobile.Text = "Enter a Item.";
        }
    }

    /// <summary>
    /// Delete Item from CheckBoxList
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnDeleteCheckBoxItem_Click(object sender, EventArgs e)
    {
        if (txtItem.Text.Trim() != "")
        {
            ListItem li = chkListMobile.Items.FindByText(txtItem.Text.Trim());
            if (li != null)
            {
                chkListMobile.Items.Remove(txtItem.Text.Trim());

                //chkListMobile.Items.RemoveAt(1);
                lblchkListMobile.Text = "Item Deleted.";
            }
            else
            {
                lblchkListMobile.Text = "No Match Found.";
            }
        }
        else
        {
            lblchkListMobile.Text = "Enter a Item.";
        }
    }

    /// <summary>
    /// Enable/Disable Items
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnEnableDisable_Click(object sender, EventArgs e)
    {
        for (int chkIndex = 0; chkIndex < chkListMobile.Items.Count; chkIndex++)
        {
            if (chkListMobile.Items[chkIndex].Enabled)
            {
                chkListMobile.Items[chkIndex].Enabled = false;
            }
            else
            {
                chkListMobile.Items[chkIndex].Enabled = true;
            }
        }
        lblchkListMobile.Text = "Item Enabled/Disabled.";
    }
    
}
